<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensor_1_1_host_eth_controller.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">framework::sensor::HostEthController Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a780509d4fa58f743535afebeff1fa568">AddDataToLog</a>(const io_data *data)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">AddDeviceToLog</a>(const IODevice *device)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Auto</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Auto</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>axis</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>axisNumber</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>axisPlot</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bitsPerAxis</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>button</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>buttonNumber</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>buttonOffset</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">framework::Childs</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">framework::core::IODevice::Childs</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CompleteDataFrameGrab</b>() (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>controllerName</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>controlSocket</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>dataFrameBuffer</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>dataFrameSize</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>dataSocket</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>DrawUserInterface</b>() (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">framework::Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">framework::core::IODevice::Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">framework::ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">framework::core::IODevice::ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetAxisData</b>()=0 (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetAxisDescription</b>(unsigned int axis) (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetButtonData</b>()=0 (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetButtonDescription</b>(unsigned int button) (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetInputDataType</b>() const  (defined in <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetOutputDataType</b>() const  (defined in <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetPeriodMS</b>() const  (defined in <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetPeriodUS</b>() const  (defined in <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HostEthController</b>(const core::FrameworkManager *parent, std::string name, std::string address, int port, uint32_t period=10, uint32_t _bitsPerAxis=7, uint8_t priority=0) (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">framework::Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">framework::core::IODevice::Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">IODevice</a>(const Object *parent, std::string name)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>IsDataFrameReady</b>() (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#afb56b9c909587242815270979452f38e">IsPeriodSet</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a02931f74dbd44574c48a48ef0101164b">IsSuspended</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a74b2dd5fda4079a47f67d89b832a02d1">Join</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>meaningfulDataAvailable</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>nativeBitsPerAxis</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">framework::Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">framework::core::IODevice::Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">framework::ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">framework::core::IODevice::ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">framework::ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">framework::core::IODevice::ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a5d6345ad826683212ecb8d182614a77f">OutputToShMem</a>(bool enabled)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">framework::Parent</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">framework::core::IODevice::Parent</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>ProcessMessage</b>(core::Message *controllerAction) (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a>(io_data *data)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a998454819371b74a979ac4e5ba362c51">Resume</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#acd61dc2aef8db4619f5d65eb0aca3d40">SafeStop</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a3d7e006f50eb03f350c251ad7b0a8924">SetPeriodMS</a>(uint32_t period_ms)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a7aefccd25fe4a0dd6fa76d03090b9bb2">SetPeriodUS</a>(uint32_t period_us)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">SleepMS</a>(uint32_t time_ms) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a231938b0e81bd51f7e7e8f11b8bf45d6">SleepUntil</a>(Time time) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#ab40474f0d841d2854587bd44ec776171">SleepUS</a>(uint32_t time_us) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#aeea6854b038e4cc558dfb8dbfc6f47fd">Start</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#af9c6b84365e82242f6066d15b783e59c">Suspend</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#aafb4dee5db8515e105717940c1e4850b">SuspendUntil</a>(Time date)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>tab</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>tabWidget</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>targetAddress</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>targetPort</b> (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#ade8360f01a17c3c59a8fcfa8a67af4e9">Thread</a>(const Object *parent, std::string name, uint8_t priority)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a540728357836b08054eb1d2c659ce0e1">ToBeStopped</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">framework::TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">framework::core::IODevice::TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a3aa7c62bf562cb4211b79e1d25eaad8b">WaitPeriod</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a62d15f694800dc4ac777fbbb57890228">WaitUpdate</a>(const IODevice *device)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">framework::Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">framework::core::IODevice::Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a6c6e2c6e3c7b8e5b9730a21eb175c193">WarnUponSwitches</a>(bool enable)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~HostEthController</b>() (defined in <a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensor_1_1_host_eth_controller.html">framework::sensor::HostEthController</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a27a72866b343b8734fd4427515d1e38f">~Thread</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
